import React from 'react';
import type { InputProps } from '../../components/Input';
import type { TextareaProps } from '../../components/Textarea';
interface InternalTextareaWithLayoutProps extends TextareaProps, Pick<InputProps, 'leftIcon' | 'rightIcon' | 'align' | 'borderless' | 'showClearIcon'> {
}
interface InternalTextareaWithLayoutState {
    focused: boolean;
    hovered: boolean;
    clearCrossShowed: boolean;
}
export declare class InternalTextareaWithLayout extends React.Component<InternalTextareaWithLayoutProps, InternalTextareaWithLayoutState> {
    static __KONTUR_REACT_UI__: string;
    private wrappedComponentRef;
    private theme;
    private getProps;
    componentDidUpdate(prevProps: Readonly<InternalTextareaWithLayoutProps>): void;
    private getClearCrossShowed;
    state: InternalTextareaWithLayoutState;
    focus(): void;
    blur(): void;
    setSelectionRange(start: number, end: number): void;
    selectAll(): void;
    getNode(): import("../../typings/utility-types").Nullable<HTMLTextAreaElement>;
    render(): React.JSX.Element;
    private getTextareaSizeClassName;
    private getRootSizeClassName;
    private handleClearInput;
    private getRightIcon;
    private handleMouseEnter;
    private handleMouseOut;
    private renderLayout;
    private get preparedTheme();
    private renderTextarea;
    private handleLayoutClick;
    private handleBlur;
    private handleFocus;
}
export {};
